PDA

View Full Version : gnome-icon theme conflict



GoinEasy9
22nd April 2010, 04:22 AM
Tonight's update has a conflict between gnome-icon-theme and gnome-icon-theme-extras.

Transaction Check Error:
file /usr/share/icons/gnome/16x16/devices/drive-harddisk-ieee1394.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/16x16/devices/drive-harddisk-usb.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/16x16/devices/media-optical-bd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/16x16/devices/media-optical-dvd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/22x22/devices/drive-harddisk-ieee1394.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/22x22/devices/drive-harddisk-usb.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/22x22/devices/media-optical-bd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/22x22/devices/media-optical-dvd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/48x48/devices/drive-harddisk-ieee1394.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/48x48/devices/drive-harddisk-usb.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/48x48/devices/media-optical-bd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch
file /usr/share/icons/gnome/48x48/devices/media-optical-dvd.png conflicts between attempted installs of gnome-icon-theme-extras-2.30.1-1.fc13.noarch and gnome-icon-theme-2.30.1-2.fc13.noarch

Removing gnome-icon-theme-extras would also remove rhythmbox so I excluded both from the update.

Filed bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=584617

glennzo
22nd April 2010, 10:43 AM
Same thing here. I had to exclude gnome-icon-theme* and rhythmbox* to update successfully. yum update --skip-broken did not work. These are things to be expected with a beta release.

RahulSundaram
22nd April 2010, 11:09 AM
Hi,

Skip-broken won't work with file conflicts since they occur after the transaction.

glennzo
22nd April 2010, 11:16 AM
Hello Rahul. Maybe I should have worded that differently. I didn't mean that you could expect skip-broken to not work with a beta release, but update errors in general. Sorry for the confusion.

RahulSundaram
22nd April 2010, 11:28 AM
Hi

Just to clarify, skip-broken is just not expected to work with file conflicts at all. It should work fine with dependency breakages. Beta or not, doesn't matter much.

GoinEasy9
22nd April 2010, 04:43 PM
I have an easier way of looking at it. Since yum didn't advise me that --skip-broken would work, I assumed it wouldn't. :) I excluded gnome-icon-theme & gnome icon-theme-extras.
I only have gnome-icon-theme-extras on one machine, updated the others with no problems. I just think it's funny that an icon theme has an app like Rhythmbox as a dependency. I have Rhythmbox on the other computers and it seems it doesn't depend on gnome-icon-theme-extras.

RahulSundaram
22nd April 2010, 04:55 PM
Hi,

It is part of the effort to make GNOME Icon theme compliant with the freedesktop.org icon theme specification and dropping the symlinks which were originally added for compatibility reasons.

UK2
22nd April 2010, 05:10 PM
Hello,

I am having the same problem in from your first post.

Did you say that excluding gnome-icon-theme & gnome icon-theme-extras will allow me to update. However, how do I exclude them?

Many thanks,

glennzo
22nd April 2010, 05:13 PM
Hmm... I do seem to remember something about "you could try --skip-broken" ...when I first tried updating. That was the very first update after a fresh installation. Maybe it was referring to one of the other errors, not gnome-icon-*.

Hlingler
22nd April 2010, 05:33 PM
However, how do I exclude them?su
yum update -x gnome-icon-theme*

You may also want to review man yum

V

GoinEasy9
22nd April 2010, 05:33 PM
@UK2 yum --exclude=gnome-icon-theme* update works, although last night I used the full name and version number.

LOL....or Hlingler's way.....

dd_wizard
22nd April 2010, 06:19 PM
There's a new gnome-icon-theme in koji that works with extras if you want to get it before it gets pushed to updates-testing.

[gene@Mobile-PC RPM]$ yum info gnome-icon-theme gnome-icon-theme-extras
Loaded plugins: fastestmirror, presto, refresh-packagekit, remove-with-leaves, show-leaves,
: verify
Installed Packages
Name : gnome-icon-theme
Arch : noarch
Version : 2.30.1
Release : 3.fc13
Size : 8.8 M
Repo : installed
From repo : /gnome-icon-theme-2.30.1-3.fc13.noarch
Summary : GNOME icon theme
License : GPL+
Description: This package contains the default icon theme used by the GNOME desktop.

Name : gnome-icon-theme-extras
Arch : noarch
Version : 2.30.1
Release : 1.fc13
Size : 669 k
Repo : installed
From repo : /gnome-icon-theme-extras-2.30.1-1.fc13.noarch
Summary : Additional GNOME icons
License : CC-BY-SA
Description: This package contains extra device and mime-type icons for use by
: the GNOME desktop.


dd_wizard

GoinEasy9
22nd April 2010, 06:25 PM
Thanks dd_wizard, I just noticed that in the Bugzilla. Will give it shot later.

nimnull22
24th April 2010, 02:29 AM
Second day the same issue. May be someone gives developers a hint to remove it from update list, until a solution will be found.

Or may be it is only me who has this problem already?

Thanks.

GoinEasy9
24th April 2010, 04:28 AM
I can confirm, installing gnome-icon-theme-2.30.1-3.fc13.noarch from koji works with gnome-icon-theme-extras-2.30.1-1.fc13.noarch. Thanks dd_wizard.

nimnull22
24th April 2010, 04:45 AM
Yep, it works.

Thanks